Skip To Main Content
Skip To Main Content

McKendree University Athletics

Schedule

2026-27 Men's Rugby Roster

Go To Coaching Staff

Players

  • Hooker H 5'10" 200 lbs
    So. Ballina, County Mayo, Ireland St. Muredach's College Ballina R.F.C.
    Sophomore Ballina, County Mayo, Ireland St. Muredach's College Ballina R.F.C.
  • Wing/Fullback W/FB 6'5" 184 lbs
    So. Cheshire, England Fallibroome Academy The Fallibroome Academy
    Sophomore Cheshire, England Fallibroome Academy The Fallibroome Academy
  • Hooker/Prop H/P 5'10" 225 lbs
    Fr. Cordoba Capital, Argentina Colegio de Maria Córdoba Athletic Club
    Freshman Cordoba Capital, Argentina Colegio de Maria Córdoba Athletic Club
  • Outside Centre OC 6'2" 189 lbs
    So. Melbourne, Australia St Kevin's College
    Sophomore Melbourne, Australia St Kevin's College
  • Prop/Front Row P/FR 5'9" 205 lbs
    So. Troy, IL Triad High School
    Sophomore Troy, IL Triad High School
  • 6'3" 270 lbs
    So. Birmingham, England Studley High School Bromsgrove Rugby Club
    Sophomore Birmingham, England Studley High School Bromsgrove Rugby Club
  • 6'3" 220 lbs
    Sr. La Coruña, Spain Colegio de Fomento Peñarredonda
    Senior La Coruña, Spain Colegio de Fomento Peñarredonda
  • Centre/Fly-Half C/FH 5'10"
    Jr. Farnham, England Farnborough Sixth Form College
    Junior Farnham, England Farnborough Sixth Form College
  • Second Row SR 6'3" 235 lbs
    Fr. Cork, Ireland Coachford College Muskerry RFC
    Freshman Cork, Ireland Coachford College Muskerry RFC
  • 6'3" 230 lbs
    So. Blackburn, England Darwen Vale High School Blackburn Rugby Club
    Sophomore Blackburn, England Darwen Vale High School Blackburn Rugby Club
  • Back Row BR 6'2" 224 lbs
    Fr. Dumfries, Scotland Lockerbie Academy
    Freshman Dumfries, Scotland Lockerbie Academy
  • Flanker F 6'0" 205 lbs
    Jr. Sydney, Australia St Augustine's College, Sydney
    Junior Sydney, Australia St Augustine's College, Sydney
  • Winger W 5'10" 182 lbs
    Jr. Birmingham, England Ridgeway Academy Hartpury College
    Junior Birmingham, England Ridgeway Academy Hartpury College
  • Flanker F 5'10" 165 lbs
    Jr. Manchester, England St Thomas More RC College / Manchester College Openshaw Heaton Moor RUFC
    Junior Manchester, England St Thomas More RC College / Manchester College Openshaw Heaton Moor RUFC
  • Wing/Fullback W/FB 5'9" 154 lbs
    Fr. Warnham, England The College of Richard Collyer Dorking RFC
    Freshman Warnham, England The College of Richard Collyer Dorking RFC
  • Utility Back UB 6'1" 180 lbs
    Gr. Barcelona, Spain Escola Frederic Mistral - Tècnic Eulàlia Club de Rugby Sant Cugat
    Graduate Student Barcelona, Spain Escola Frederic Mistral - Tècnic Eulàlia Club de Rugby Sant Cugat
  • Scrum Half SH 5'8"
    Sr. Galashiels, Scotland Galashiels Academy
    Senior Galashiels, Scotland Galashiels Academy
  • Centre C 5'7" 177 lbs
    Fr. Eyrecourt, Ireland Garbally College Ballinasloe RFC
    Freshman Eyrecourt, Ireland Garbally College Ballinasloe RFC
  • Second Row SR 6'3" 230 lbs
    5th Carmel, IN Carmel High School
    Fifth Year Carmel, IN Carmel High School
  • Winger/Outside Centre W/OC 5'8" 158 lbs
    Fr. Silver Spring, MD GEMS World Academy - Dubai Dubai Sharks Rugby Club
    Freshman Silver Spring, MD GEMS World Academy - Dubai Dubai Sharks Rugby Club
  • Wing W 5'8" 180 lbs
    Fr. Mar del Plata, Argentina Northern Hills Bilingual School
    Freshman Mar del Plata, Argentina Northern Hills Bilingual School
  • Scrum Half SH 5'11" 155 lbs
    So. Napier, New Zealand Trinity College Perth Bayswater Rugby Union Club / Nedlands / Rugby Union Club
    Sophomore Napier, New Zealand Trinity College Perth Bayswater Rugby Union Club / Nedlands / Rugby Union Club
  • Second Row SR 6'3" 211 lbs
    Jr. Manchester, England Aquianus College Wilmslow RUFC
    Junior Manchester, England Aquianus College Wilmslow RUFC
  • Flanker F 6'3" 180 lbs
    Fr. Beccles, England Sir John Leman High School Beccles RUFC / Waveney Valley AC
    Freshman Beccles, England Sir John Leman High School Beccles RUFC / Waveney Valley AC
  • Flanker/Lock F/L 6'1" 185 lbs
    Sr. West Frankfort, IL Frankfort Community High School
    Senior West Frankfort, IL Frankfort Community High School
  • Flanker/Utility Prop F/UP 6'0" 197 lbs
    Sr. St. Louis, MO Lindbergh High School
    Senior St. Louis, MO Lindbergh High School

Staff Roster

Men's Rugby Coaching Staff

  • Director & Head Coach

    Cameron Wyper

Men's Rugby Support Staff

  • Sports Information

    Chase Messer

2026-27 Men's Rugby Roster
No. Name Pos. Ht. Year Hometown / High School Previous School Wt.
Conor Brown H 5-10 So. Ballina, County Mayo, Ireland / St. Muredach's College Ballina R.F.C. 200
Max Cameron W/FB 6-5 So. Cheshire, England / Fallibroome Academy The Fallibroome Academy 184
Faustino Castillo H/P 5-10 Fr. Cordoba Capital, Argentina / Colegio de Maria Córdoba Athletic Club 225
Tad Clark OC 6-2 So. Melbourne, Australia / St Kevin's College 189
Gavin Cortner P/FR 5-9 So. Troy, IL / Triad High School 205
Jesse Crump 6-3 So. Birmingham, England / Studley High School Bromsgrove Rugby Club 270
Gonzalo De Pablos Veiga 6-3 Sr. La Coruña, Spain / Colegio de Fomento Peñarredonda 220
Rufus Doran C/FH 5-10 Jr. Farnham, England / Farnborough Sixth Form College
Haydn Fisher SR 6-3 Fr. Cork, Ireland / Coachford College Muskerry RFC 235
Nathan George 6-3 So. Blackburn, England / Darwen Vale High School Blackburn Rugby Club 230
Owen Goodwin BR 6-2 Fr. Dumfries, Scotland / Lockerbie Academy 224
Lachlan King F 6-0 Jr. Sydney, Australia / St Augustine's College, Sydney 205
Jacob Kinnaird W 5-10 Jr. Birmingham, England / Ridgeway Academy Hartpury College 182
Henry Livsey F 5-10 Jr. Manchester, England / St Thomas More RC College / Manchester College Openshaw Heaton Moor RUFC 165
Ellis Long W/FB 5-9 Fr. Warnham, England / The College of Richard Collyer Dorking RFC 154
Jan Mana Vazquez UB 6-1 Gr. Barcelona, Spain / Escola Frederic Mistral - Tècnic Eulàlia Club de Rugby Sant Cugat 180
Louis Marshall-Arrandale SH 5-8 Sr. Galashiels, Scotland / Galashiels Academy
Shane McDermott C 5-7 Fr. Eyrecourt, Ireland / Garbally College Ballinasloe RFC 177
Tyler McVey SR 6-3 5th Carmel, IN / Carmel High School 230
Ethan Mitchell W/OC 5-8 Fr. Silver Spring, MD / GEMS World Academy - Dubai Dubai Sharks Rugby Club 158
Santino Muñoz W 5-8 Fr. Mar del Plata, Argentina / Northern Hills Bilingual School 180
Jacob Partington SH 5-11 So. Napier, New Zealand / Trinity College Perth Bayswater Rugby Union Club / Nedlands / Rugby Union Club 155
James Richardson SR 6-3 Jr. Manchester, England / Aquianus College Wilmslow RUFC 211
Thomas Supple F 6-3 Fr. Beccles, England / Sir John Leman High School Beccles RUFC / Waveney Valley AC 180
Ashtin Swann F/L 6-1 Sr. West Frankfort, IL / Frankfort Community High School 185
Elijah Wheaton F/UP 6-0 Sr. St. Louis, MO / Lindbergh High School 197

Men's Rugby Coaching Staff

Men's Rugby - Coaching Staff
Image Name Title
Cameron Wyper Cameron Wyper Director & Head Coach

Men's Rugby Support Staff

Men's Rugby - Support Staff
Image Name Title
Chase Messer (12/25) Chase Messer Sports Information

Staff Roster

Men's Rugby Coaching Staff

Men's Rugby Support Staff